Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class VersionDescriptionDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.PublicObjectDefinition

                  |

                  +--oracle.ifs.beans.VersionDescriptionDefinition

public class VersionDescriptionDefinition
extends PublicObjectDefinition

The VersionDescriptionDefinition class is used to construct a VersionDescription object. The default class for this definition is VERSIONDESCRIPTION.

VersionDescriptionsDefinitions are used for almost (if not all) versioning operations, for example, Branching.

See Also:
  `VersionSeriesDefinition`, `FamilyDefinition`

Constructor Summary
`VersionDescriptionDefinition(LibrarySession session)` Constructs a VersionDescriptionDefinition explicitly capturing the session.

Method Summary
`boolean` | `getNewVersionBasedOn()` Returns the value of the NewVersionBasedOn flag.
`PublicObject` | `getPublicObject()` Returns the previously specified PublicObject, or null if no value was specified.
`PublicObjectDefinition` | `getPublicObjectDefinition()` Get the PublicObject definition for the new VersionDescription.
`VersionSeriesDefinition` | `getVersionSeriesDefinition()` Returns the VersionSeries definition, or null if none specified.
`void` | `setNewVersionBasedOn(boolean basedOn)` This option specifies whether new Versions are based on the old Versions (true), or does this definition completely describe the new Version (false).
`void` | `setPublicObject(PublicObject po)` Set the Version Description definition to reference an exiting PublicObject.
`void` | `setPublicObjectDefinition(PublicObjectDefinition def)` Set the Public Object definition for the new Version.
`void` | `setVersionSeriesDefinition(VersionSeriesDefinition def)` Set the Version Series definition for the new PublicObject.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, getAddToFolderOption, getCategoryDefinitions, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifyDateOption, getLockForSessionOption, getSecuringPublicObject, getUnlockForSessionOption, setAddToFolderOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifyDateOption, setLockForSessionOption, setSecuringPublicObject, setUnlockForSessionOption`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### VersionDescriptionDefinition

    public VersionDescriptionDefinition(LibrarySession session)
                                 throws IfsException

  Constructs a VersionDescriptionDefinition explicitly capturing the session.
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Method Detail

### setNewVersionBasedOn

    public void setNewVersionBasedOn(boolean basedOn)
                              throws IfsException

  This option specifies whether new Versions are based on the old Versions (true), or does this definition completely describe the new Version (false).
  Parameters:
    `basedOn` - true if new version should be based on previous version, false otherwise.
  Throws:
    `IfsException` - if operation fails.

### getNewVersionBasedOn

    public boolean getNewVersionBasedOn()
                                 throws IfsException

  Returns the value of the NewVersionBasedOn flag.
  Returns:
    the value of the NewVersionBasedOn flag.
  Throws:
    `IfsException` - if the operation fails

### setVersionSeriesDefinition

    public void setVersionSeriesDefinition(VersionSeriesDefinition def)
                                    throws IfsException

  Set the Version Series definition for the new PublicObject. This option is only valid when the performed operation results in the creation of a new version series (e.g. if LibrarySession.createPublicObject() is called). For all other operations (e.g., VersionSeries.newRevision()) it is ignored. If you do not specify a VersionSeriesDefinition, a default one is created for you (when appropriate).
  Parameters:
    `def` - the Version Series definition for the new object.
  Throws:
    `IfsException` - if operation fails.

### getVersionSeriesDefinition

    public VersionSeriesDefinition getVersionSeriesDefinition()
                                                       throws IfsException

  Returns the VersionSeries definition, or null if none specified.
  Returns:
    the VersionSeries definition, or null if none specified.
  Throws:
    `IfsException` - if the operation fails

### setPublicObjectDefinition

    public void setPublicObjectDefinition(PublicObjectDefinition def)
                                   throws IfsException

  Set the Public Object definition for the new Version. A new PublicObject will be created from the PublicObjectDefinition
  Parameters:
    `def` - the PublicObject definition for the new versioned object.
  Throws:
    `IfsException` - if operation fails.

### getPublicObjectDefinition

    public PublicObjectDefinition getPublicObjectDefinition()
                                                     throws IfsException

  Get the PublicObject definition for the new VersionDescription. Return null if no value was specified.
  Returns:
    PublicObject definition for the new object.
  Throws:
    `IfsException` - if the operation fails

### setPublicObject

    public void setPublicObject(PublicObject po)
                         throws IfsException

  Set the Version Description definition to reference an exiting PublicObject. Having two version descriptions reference the same PublicObject is probably more typical in a Branching operation rather than a simple linear versioning operation.
  Parameters:
    `po` - the existing PublicObject which this new version description will reference.
  Throws:
    `IfsException` - if operation fails.

### getPublicObject

    public PublicObject getPublicObject()
                                 throws IfsException

  Returns the previously specified PublicObject, or null if no value was specified.
  Returns:
    the previously specified PublicObject, or null if no value was specified.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD